Name:          sslext
Version:       1.2
Release:       %mkrel 11
Summary:       Struts SSL Switching Extension
Group:         Development/Java
License:       ASL 1.1
Url:           http://sslext.sourceforge.net/
#cvs -d:pserver:anonymous@sslext.cvs.sourceforge.net:/cvsroot/sslext login
#cvs -z3 -d:pserver:anonymous@sslext.cvs.sourceforge.net:/cvsroot/sslext export -r Release1_2_1 sslext120
#rm -rf sslext120/web/WEB-INF/lib/*.jar
#rm -rf sslext120/sslext-struts1.2-*.*
#rm -rf $(find sslext120 -name "CVS")
#rm -rf $(find sslext120 -name "*.class")
#rm -rf $(find sslext120 -name "*.bak")
# non free
# rm -rf sslext120/web/WEB-INF/web-app_2_3.dtd
#mv sslext120 sslext-1.2
#tar czf sslext-1.2-realclean-src-cvs.tar.gz sslext-1.2
Source0:       %{name}-%{version}-realclean-src-cvs.tar.gz
Source1:       http://repo1.maven.org/maven2/%{name}/%{name}/%{version}-0/%{name}-%{version}-0.pom
Patch0:        %{name}-%{version}-build.patch
# fix build java5+
Patch1:        %{name}-%{version}-SecureRequestUtils.patch
# update struts reference
Patch2:        %{name}-%{version}-pom.patch
# build apis documentation
Patch3:        %{name}-%{version}-javadocs.patch

BuildRequires: java-devel
BuildRequires: javapackages-local

BuildRequires: ant
BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-digester
BuildRequires: apache-commons-fileupload
BuildRequires: apache-commons-logging
BuildRequires: apache-commons-validator
BuildRequires: jakarta-oro
BuildRequires: struts
BuildRequires: tomcat-jsp-2.3-api
BuildRequires: tomcat-servlet-3.1-api

BuildArch:     noarch

%description
Extension to the Struts framework that allows developers to configure web
applications to automatically switch between the HTTP and HTTPS protocols.
Configuration is performed within the Struts config XML file.

%package       javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description   javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
mkdir -p web/WEB-INF/classes
%patch0 -p0
sed -i "s|tomcat-servlet-3.0-api|tomcat-servlet-api|" build.xml
sed -i "s|tomcat-jsp-2.2-api|tomcat-jsp-api|" build.xml
sed -i "s|1.5|1.6|" build.xml
%patch1 -p0
cp -p %{SOURCE1} pom.xml
%patch2 -p0
%patch3 -p0

%build

export CLASSPATH=$(build-classpath tomcat-servlet-api tomcat-jsp-api)
%ant compile make-jar javadoc

%install
%mvn_artifact pom.xml web/WEB-INF/lib/%{name}.jar
%mvn_file %{name}:%{name} %{name}
%mvn_install -J docs

%files -f .mfiles

%files javadoc -f .mfiles-javadoc


%changelog
* Fri Feb 26 2016 daviddavid <daviddavid> 1.2-11.mga6
+ Revision: 979466
- sync package sslext with fedora

* Wed Feb 24 2016 neoclust <neoclust> 1.2-10.mga6
+ Revision: 978158
- First rebuild of the java stack

* Tue Feb 09 2016 umeabot <umeabot> 1.2-9.mga6
+ Revision: 951905
- Mageia 6 Mass Rebuild

* Sun Jan 11 2015 daviddavid <daviddavid> 1.2-8.mga5
+ Revision: 809835
- Sync with fc21
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 1.2-7.mga5
+ Revision: 741307
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-6.mga5
+ Revision: 689325
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2-5.mga4
+ Revision: 518508
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2-4.mga3
+ Revision: 382659
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 1.2-3.mga3
+ Revision: 292748
- Clean spec file

* Sat Oct 29 2011 gil <gil> 1.2-1.mga2
+ Revision: 159348
- imported package sslext

